/******************************************************************************

Project:
    DirectNet MPF

File:
    directNet.h

Description:
    Definitions for directNet messages.
    This file copied from directNetBug implementation.

Author:
    Andrew Johnson
Created:
    January 1999
Version:
    directNet.h,v 1.1 2002/01/07 22:36:19 anj Exp

******************************************************************************/

#ifndef INC_directNet_h
#define INC_directNet_h

/*
 * Control Characters used in DirectNet protocol
 */

#define SOHCHAR 0x01
#define STXCHAR 0x02
#define ETXCHAR 0x03
#define EOTCHAR 0x04
#define ENQCHAR 0x05
#define ACKCHAR 0x06
#define NAKCHAR 0x15
#define ETBCHAR 0x17
#define SEQCHAR 'N'

#define HEADER_LEN  17
#define SLAVEOFFSET 0x20
 
/*
 * Standard timeouts in milli-seconds
 */

#define ENQACKTIME   800
#define HDRACKTIME  2000
#define DATACKTIME 20000
#define ACKEOTTIME   800

/*
 * Other parameters
 */

#define MAX_RETRIES 3

/*
 * Information contained in a DirectNet request
 */

struct dnRequest {
   unsigned char  slaveId;
   unsigned char  readWrite;
   unsigned char  dataType;
   unsigned char  addrHi;
   unsigned char  addrLo;
   unsigned char  numBlocks;
   unsigned char  numBytes;
   unsigned char  masterId;
   unsigned char *pData;
};


#endif /* INC_directNet_h */
