/******************************************************************************

Project:
    DirectNet MPF

File:
    directNetClient.h

Description:
    Header describing client support routines for directNet over MPF.
    Note that this API must be callable from C code.

Author:
    Andrew Johnson
Created:
    August 2001
Version:
    directNetClient.h,v 1.1 2002/01/07 22:36:19 anj Exp

******************************************************************************/

#ifndef INC_directNetClient_H
#define INC_directNetClient_H

struct dnMpfClient;

#ifdef __cplusplus
extern "C" {
#endif

struct plcMessage {
    const char *server;
    int location;
    struct dnMpfClient *pClient;
    int cmd;
    int addr;
    int len; /* in bytes */
    unsigned char *pdata;
    int status;
    void (*callback)(struct plcMessage *pPvt);
    void (*connStat)(struct plcMessage *pPvt, int bad);
};

int initDnMpfClient(struct plcMessage* pPlcMsg);
int dnMpfClientSend(struct plcMessage *pPlcMsg);

#ifdef __cplusplus
}
#endif

#endif /* INC_directNetClient_H */
