/******************************************************************************

Project:
    DirectNet MPF

File:
    directNetMpf.h

Description:
    Header describing MPF interface with directNet.

Author:
    Andrew Johnson
Created:
    August 2001
Version:
    directNetMpf.h,v 1.1 2002/01/07 22:36:19 anj Exp

******************************************************************************/

#ifndef INC_directNetMpf_h
#define INC_directNetMpf_h

#include "directNet.h"


/* command values */

#define WRITECMD	0x80

#define READVMEM	0x01
#define READINPS	0x02
#define READOUTS	0x03
#define READSPAD	0x06
#define READPROG	0x07
#define READSTAT	0x09

#define WRITEVMEM	(READVMEM | WRITECMD)
#define WRITESPAD	(READSPAD | WRITECMD)
#define WRITEPROG	(READPROG | WRITECMD)

/* status values */

/* DN_SUCCESS must be zero */
#define DN_SUCCESS	0
#define DN_RETRY	1
#define DN_BADSTATE	2
#define DN_TIMEOUT	3
#define DN_RETRIED	4
#define DN_BADARGS	5
#define DN_ABORT	6
#define DN_INTERNAL	7


/* timeouts in seconds */

#define ENQACKDELAY (double(ENQACKTIME)/1000.0)
#define HDRACKDELAY (double(HDRACKTIME)/1000.0)
#define DATACKDELAY (double(DATACKTIME)/1000.0)
#define ACKEOTDELAY (double(ACKEOTTIME)/1000.0)


/* Misc values */

#define MASTERID	0

#define BAUDRATE	9600
#define BYTERATE	(BAUDRATE/10)

#define DN_RDDATA_MAX	32
#define DN_PLCWORDLEN	2


#endif /* INC_directNetMpf_h */
